Pause an environment
curl --request POST \
--url {schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/pause \
--header 'Authorization: Bearer <token>'import requests
url = "{schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/pause"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('{schemes}://api.upsun.com/projects/{projectId}/environments/{environmentId}/pause', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"code": 123
}Environment
Pause an environment
Pause an environment, stopping all services and applications (except the router).
Development environments are often used for a limited time and then abandoned. To prevent unnecessary consumption of resources, development environments that haven’t been redeployed in 14 days are automatically paused.
You can pause an environment manually at any time using this endpoint. Further information is available in our public documentation.
POST
/
projects
/
{projectId}
/
environments
/
{environmentId}
/
pause
Pause an environment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Last modified on June 16, 2026
Was this page helpful?